import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import clsx from "clsx";
import { Box } from "../../core/Box/Box.mjs";
import { useModalBaseContext } from "./ModalBase.context.mjs";
import classes from "./ModalBase.module.css.mjs";
const ModalBaseHeader = forwardRef(
  ({ className, ...others }, ref) => {
    const ctx = useModalBaseContext();
    return /* @__PURE__ */ jsx(
      Box,
      {
        component: "header",
        ref,
        className: clsx({ [classes.header]: !ctx.unstyled }, className),
        ...others
      }
    );
  }
);
ModalBaseHeader.displayName = "@mantine/core/ModalBaseHeader";
export {
  ModalBaseHeader
};
